Package org.springframework.security.web.session

# Class SimpleRedirectSessionInformationExpiredStrategy

java.lang.Object
org.springframework.security.web.session.SimpleRedirectSessionInformationExpiredStrategy

All Implemented Interfaces:
  `SessionInformationExpiredStrategy`

public final class SimpleRedirectSessionInformationExpiredStrategy extends Object implements SessionInformationExpiredStrategy
Performs a redirect to a fixed URL when an expired session is detected by the `ConcurrentSessionFilter`.

Since:
  4.2.0

## Constructor Summary

Constructors
Constructor
Description
`SimpleRedirectSessionInformationExpiredStrategy(String invalidSessionUrl)`
`SimpleRedirectSessionInformationExpiredStrategy(String invalidSessionUrl, RedirectStrategy redirectStrategy)`

## Method Summary

Modifier and Type
Method
Description
`void`
`onExpiredSessionDetected(SessionInformationExpiredEvent event)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleRedirectSessionInformationExpiredStrategy

public SimpleRedirectSessionInformationExpiredStrategy(String invalidSessionUrl)

### SimpleRedirectSessionInformationExpiredStrategy

public SimpleRedirectSessionInformationExpiredStrategy(String invalidSessionUrl, RedirectStrategy redirectStrategy)

## Method Details

### onExpiredSessionDetected

public void onExpiredSessionDetected(SessionInformationExpiredEvent event) throws IOException

Specified by:
  `onExpiredSessionDetected` in interface `SessionInformationExpiredStrategy`
Throws:
  `IOException`